/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.fixings;

import java.io.Serializable;
import java.util.Date;

public class QWI implements Serializable {

    private static final long serialVersionUID = 1L;

    private Date date;

    private double q;

    private double w;

    private boolean interpolated;

    public QWI() {
    }

    public QWI(final double q, final double w) {
        this.q = q;
        this.w = w;
    }

    public QWI(final double q, final double w, final Date date, final boolean interpolated) {
        this.q = q;
        this.w = w;
        this.date = date;
        this.interpolated = interpolated;
    }

    public Date getDate() {
        return this.date;
    }

    public double getQ() {
        return this.q;
    }

    public double getW() {
        return this.w;
    }

    public boolean getInterpolated() {
        return this.interpolated;
    }
}